## irstlm 5.80.03

=== debian/changelog ===
irstlm (5.80.03-2) unstable; urgency=medium

  * Install headers in /usr/include/irstlm.
    Closes: #812742, #813093.

 -- Giulio Paci <giuliopaci@gmail.com>  Tue, 26 Jan 2016 14:31:34 +0100

irstlm (5.80.03-1) unstable; urgency=medium

  [Giulio Paci]
  * Initial release.
    Closes: #671282.

  [Balint Reczey]
  * Build-depend on default automake
  * Convert packaging to use Debhelper
  * Add myself to uploaders
  * Convert to multiarch
  * Drop debug package
  * Drop control.in
  * Install bash-completion rules to proper location
  * Update standards version
  * Drop unused copyright info

 -- Balint Reczey <balint@balintreczey.hu>  Sun, 20 Dec 2015 14:09:20 +0100
