=== debian/control ===
Source: irstlm
Section: text
Priority: optional
Maintainer: Giulio Paci <giuliopaci@gmail.com>
Uploaders: Koichi Akabe <vbkaisetsu@gmail.com>,
           Balint Reczey <balint@balintreczey.hu>
Build-Depends: dh-autoreconf,
 devscripts,
 libtool,
 automake,
 autoconf,
 debhelper (>= 9~),
 dh-buildinfo,
 zlib1g-dev,
 dpkg-dev (>= 1.16.1~)
Standards-Version: 3.9.6
Vcs-Git: git://anonscm.debian.org/collab-maint/irstlm.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/irstlm.git
Homepage: https://sourceforge.net/projects/irstlm/

Package: irstlm
Architecture: any
Depends: libirstlm0 (= ${binary:Version}),
	 ${shlibs:Depends},
	 ${misc:Depends},
	 ${perl:Depends},
	 perl
Description: IRST Language Modeling Toolkit
 The IRST Language Modeling Toolkit can be used to learn a language model
 from data. The generated n-gram models should be usable on any system
 supporting ARPA language model format.
 .
 This package provides the command line tools.

Package: libirstlm-dev
Section: libdevel
Architecture: any
Depends: libirstlm0 (= ${binary:Version}),
         ${misc:Depends}
Description: IRST Language Modeling Toolkit - development files
 The IRST Language Modeling Toolkit can be used to learn a language model
 from data. The generated n-gram models should be usable on any system
 supporting ARPA language model format.
 .
 This package provides development headers for IRSTLM.

Package: libirstlm0
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: IRST Language Modeling Toolkit - runtime library
 The IRST Language Modeling Toolkit can be used to learn a language model
 from data. The generated n-gram models should be usable on any system
 supporting ARPA language model format.
 .
 This package contains the IRSTLM shared library.
