=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg// \
http://sf.net/irstlm/irstlm-(\d.+)\.(?:tgz|tbz2|txz|tar\.gz|tar\.bz2|tar\.xz)
