## irstlm 6.00.05

=== debian/changelog ===
irstlm (6.00.05-2) unstable; urgency=medium

  * Add missing LPPL license to copyright.
    Closes: #824455
  * Add path command to irstlm wrapper script.
  * Change maintainer to Debian Science Maintainers
    <debian-science-maintainers@lists.alioth.debian.org>
  * Updated Vcs-* fields in control.
    The repository has been moved to debian-science.

 -- Giulio Paci <giuliopaci@gmail.com>  Tue, 17 May 2016 09:45:14 +0200

irstlm (6.00.05-1) unstable; urgency=medium

  * New upstream version 6.00.05.
  * Update watch file.
    Project has migrated to github.
  * Bump Standards-Version to 3.9.8.
    No changes needed.
  * Update Vcs-* fields in control.
    Secure urls are now used.
  * Update Homepage field in control.
    Project has an homepage at FBK site.
  * Change Section from text to science.
  * Update Source field in copyright.
    Project has migrated to github.
  * Drop 1001_fix_compilation_warnings.patch and
    compilation_fixes.patch.
  * Add 1001_fix_build_issues.patch, 1003_fix_online_help.patch
    and 1004_do_not_install_private_scripts.patch.
  * Update 1002_fix_problems_identified_by_cppcheck.patch.
  * Drop irstlm.lintian-overrides.
  * Rename libirstlm0 package into libirstlm1.
  * Remove --includedir configure flag.
    This option is not needed with provided patches.
  * Update bash completion file.
  * Handle bash completion installation with irstlm.bash-completion.
    - Add bash-completion to Build-Depends.
    - Add irstlm.bash-completion.
    - Update irstlm.install.
    - Use --with bash-completion dh option.
  * Implement a workaround to handle plsa and plsa.sh in irstlm and
    update_completion.

 -- Giulio Paci <giuliopaci@gmail.com>  Fri, 06 May 2016 01:40:07 +0200
