=== debian/control ===
--- 
+++ 
@@ -1,26 +1,28 @@
 Source: irstlm
-Section: text
+Section: science
 Priority: optional
-Maintainer: Giulio Paci <giuliopaci@gmail.com>
-Uploaders: Koichi Akabe <vbkaisetsu@gmail.com>,
+Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Uploaders: Giulio Paci <giuliopaci@gmail.com>,
+           Koichi Akabe <vbkaisetsu@gmail.com>,
            Balint Reczey <balint@balintreczey.hu>
 Build-Depends: dh-autoreconf,
  devscripts,
  libtool,
  automake,
  autoconf,
+ bash-completion,
  debhelper (>= 9~),
  dh-buildinfo,
  zlib1g-dev,
  dpkg-dev (>= 1.16.1~)
-Standards-Version: 3.9.6
-Vcs-Git: git://anonscm.debian.org/collab-maint/irstlm.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/irstlm.git
-Homepage: https://sourceforge.net/projects/irstlm/
+Standards-Version: 3.9.8
+Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/irstlm.git
+Vcs-Browser: https://anonscm.debian.org/git/debian-science/packages/irstlm.git
+Homepage: http://hlt-mt.fbk.eu/technologies/irstlm
 
 Package: irstlm
 Architecture: any
-Depends: libirstlm0 (= ${binary:Version}),
+Depends: libirstlm1 (= ${binary:Version}),
 	 ${shlibs:Depends},
 	 ${misc:Depends},
 	 ${perl:Depends},
@@ -35,7 +37,7 @@
 Package: libirstlm-dev
 Section: libdevel
 Architecture: any
-Depends: libirstlm0 (= ${binary:Version}),
+Depends: libirstlm1 (= ${binary:Version}),
          ${misc:Depends}
 Description: IRST Language Modeling Toolkit - development files
  The IRST Language Modeling Toolkit can be used to learn a language model
@@ -44,7 +46,7 @@
  .
  This package provides development headers for IRSTLM.
 
-Package: libirstlm0
+Package: libirstlm1
 Section: libs
 Architecture: any
 Multi-Arch: same
