=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,7 @@
 export DEB_CFLAGS_MAINT_APPEND = -Wall
 
 %:
-	dh $@ --with autoreconf
+	dh $@ --with autoreconf --with bash-completion
 
 override_dh_auto_configure:
-	dh_auto_configure -- --enable-shared --includedir=/usr/include/irstlm
+	dh_auto_configure -- --enable-shared
