=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/irstlm-$1\.tar\.gz/ \
	https://github.com/irstlm-team/irstlm/tags .*/v?(\d\S*)\.tar\.gz
